org.eclipse.pde.ui.launcher

## Class OSGiLauncherTabGroup

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
  - - org.eclipse.pde.ui.launcher.OSGiLauncherTabGroup

All Implemented Interfaces:
  ILaunchConfigurationTabGroup

    public class OSGiLauncherTabGroup
    extends AbstractLaunchConfigurationTabGroup

Creates and initializes the tabs on the OSGi Framework launch configuration. This class in not intended to be instantiated by clients - it is an extension that is instantiated by the platform.

Clients may subclass this class.

Since:
  3.3
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

### Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`fTabs`

### Constructor Summary

Constructors
Constructor and Description
`OSGiLauncherTabGroup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTabs(ILaunchConfigurationDialog dialog, String mode)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)` Configures defaults on newly created launch configurations.

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`dispose, getTabs, initializeFrom, launched, performApply, setTabs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiLauncherTabGroup

    public OSGiLauncherTabGroup()

### Method Detail

#### createTabs

    public void createTabs(ILaunchConfigurationDialog dialog,
                           String mode)

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

Configures defaults on newly created launch configurations. This function also passes the launch configuration copy to the default registered OSGi framework, giving it an opportunity to initialize and override more defaults on the launch configuration. Refer to the `org.eclipse.pde.core.osgiFrameworks` extension point for more details on OSGi frameworks.

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTabGroup`
Overrides:
  `setDefaults` in class `AbstractLaunchConfigurationTabGroup`
See Also:
  `AbstractLaunchConfigurationTabGroup.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`